Skip to main content
POST
Create integration

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cuerpo

application/json

Request schema for creating an integration.

name
string
requerido

Integration name

base_url
string
requerido

Base URL (HTTP API or MCP server)

integration_type
enum<string>
requerido

Integration type

Opciones disponibles:
HTTP,
MCP
description
string | null

Integration description

auth_key
string | null

Bearer token or API key

headers
Headers · object | null

Custom headers

Respuesta

Successful Response

Response schema for integration.

id
string<uuid>
requerido
name
string
requerido
base_url
string
requerido
auth_type
enum<string>
requerido
Opciones disponibles:
NONE,
API_KEY
integration_type
enum<string>
requerido

Integration type enum

Opciones disponibles:
HTTP,
MCP
created_at
string<date-time>
requerido
updated_at
string<date-time>
requerido
description
string | null
auth_key
string | null
headers
Headers · object | null
requires_setup
boolean
predeterminado:false
source_integration_template_id
string<uuid> | null